> ## Documentation Index
> Fetch the complete documentation index at: https://developers.autocaption.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Templates

> Retrieves a list of templates available.



## OpenAPI

````yaml get /templates
openapi: 3.0.1
info:
  title: AutoCaption API
  description: >-
    An API to use AutoCaption's services for video transcription and video
    generation with captions.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.autocaption.io/v1
security:
  - ApiKeyAuth: []
paths:
  /templates:
    get:
      summary: Get Templates
      description: Retrieves a list of templates available.
      responses:
        '200':
          description: A list of templates.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Template'
components:
  schemas:
    Template:
      type: object
      properties:
        id:
          type: string
          description: >-
            The unique identifier for the template. Initially numeric, but will
            accommodate UUIDs as well.
        name:
          type: string
          description: The name of the template.
      required:
        - id
        - name
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````